%global momorel 1
%global scimver 1.4.4
%global skimver 1.4.4
%global honokaver 0.9.1
%global artsver 1.5.1
%global qtver 3.3.5
%global kdever 3.5.1
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global srcname skim_honoka

Summary: skim-honoka is a honoka settings plugin for SKIM
Name: skim-honoka
Version: 0.9.0
Release: %{momorel}m
License: GPL
URL: http://sourceforge.jp/projects/scim-imengine/
Group: User Interface/X
%NoSource 0 http://nop.net-p.org/files/honoka/%{srcname}-%{version}.tar.gz 50af4ad2f809e6cf2dca671dc53fb674
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: skim >= %{skimver}, honoka >= %{honokaver}
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}
BuildPreReq: kdelibs-devel >= %{kdever}, kdebase >= %{kdever}
BuildPreReq: scim-devel >= %{scimver}, skim >= %{skimver}
BuildPreReq: honoka-devel >= %{honokaver}
BuildPreReq: pkgconfig

%description
skim-honoka is a honoka settings plugin for SKIM.

%prep
%setup -q -n %{srcname}-%{version}

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/kde3/kcm_skim_honoka.la
%{_libdir}/kde3/kcm_skim_honoka.so
%{_datadir}/apps/skim/pics/honoka.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/services/skim_honoka.desktop

%changelog
* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-1m)
- update 0.9.0

* Sun Feb 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.2-1m)
- update 0.8.2
- remove patch. skim_honoka-0.8.1-load_save_fix.diff

* Fri Feb  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- initial package for Momonga Linux
